Skip to main content

ContractUpdateRequest

Request body for updating a contract

contractCodestringrequired

Code of the contract

Default value:
assetsstring[]nullable

Assets linked of the contract

Default value:
stakeholdersstring[]nullable

Stakeholders linked of the contract

Default value:
equipmentsstring[]nullable

Equipments linked of the contract

Default value:
effectiveDatestring | nullnullable

Effective date of the contract

Default value:
Example: 2023-01-01
endDatestring | nullnullable

End date of the contract

Default value:
Example: 2023-01-01
terminationDatestring | nullnullable

Termination date of the contract

Default value:
Example: 2023-01-01
labelstring | nullnullable

Label of the contract

Default value:
typestring | nullnullable

Type of the contract

Default value:
Example: LEASE or PARTIAL
ContractUpdateRequest
{
"contractCode": "",
"assets": "",
"stakeholders": "",
"equipments": "",
"effectiveDate": "2023-01-01",
"endDate": "2023-01-01",
"terminationDate": "2023-01-01",
"label": "",
"type": "LEASE or PARTIAL"
}